/*
 * SPDX-License-Identifier: ISC
 * SPDX-URL: https://spdx.org/licenses/ISC.html
 *
 * Copyright (C) 2003-2004 E. Will, et al.
 *
 * Includes most headers usually needed.
 */

#ifndef ATHEME_INC_ATHEME_H
#define ATHEME_INC_ATHEME_H 1

#include <atheme/abirev.h>
#include <atheme/account.h>
#include <atheme/argon2.h>
#include <atheme/attributes.h>
#include <atheme/auth.h>
#include <atheme/authcookie.h>
#include <atheme/base64.h>
#include <atheme/bcrypt.h>
#include <atheme/botserv.h>
#include <atheme/channels.h>
#include <atheme/commandhelp.h>
#include <atheme/commandtree.h>
#include <atheme/common.h>
#include <atheme/conf.h>
#include <atheme/confprocess.h>
#include <atheme/connection.h>
#include <atheme/constants.h>
#include <atheme/crypto.h>
#include <atheme/culture.h>
#include <atheme/database_backend.h>
#include <atheme/datastream.h>
#include <atheme/digest.h>
#include <atheme/email.h>
#include <atheme/entity.h>
#include <atheme/entity-validation.h>
#include <atheme/flags.h>
#include <atheme/global.h>
#include <atheme/hook.h>
#include <atheme/hooktypes.h>
#include <atheme/httpd.h>
#include <atheme/i18n.h>
#include <atheme/inline.h>
#include <atheme/instpaths.h>
#include <atheme/linker.h>
#include <atheme/match.h>
#include <atheme/memory.h>
#include <atheme/module.h>
#include <atheme/object.h>
#include <atheme/pbkdf2.h>
#include <atheme/phandler.h>
#include <atheme/pmodule.h>
#include <atheme/privs.h>
#include <atheme/random.h>
#include <atheme/sasl.h>
#include <atheme/scrypt.h>
#include <atheme/serno.h>
#include <atheme/servers.h>
#include <atheme/services.h>
#include <atheme/servtree.h>
#include <atheme/sharedheap.h>
#include <atheme/sourceinfo.h>
#include <atheme/stdheaders.h>
#include <atheme/string.h>
#include <atheme/structures.h>
#include <atheme/table.h>
#include <atheme/taint.h>
#include <atheme/template.h>
#include <atheme/tools.h>
#include <atheme/uid.h>
#include <atheme/uplink.h>
#include <atheme/users.h>

#endif /* !ATHEME_INC_ATHEME_H */
